apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: inbiz-miniprogram
  name: inbiz-miniprogram
  namespace: edoc2
spec:
  replicas: 3
  selector:
    matchLabels:
      app: inbiz-miniprogram
  template:
    metadata:
      labels:
        app: inbiz-miniprogram
    spec:
      hostname: inbiz-miniprogram
      containers:
      - image: registry.edoc2.com:5000/edoc2v5/inbiz-miniprogram:inbiz-v6.5.0.0 
        imagePullPolicy: IfNotPresent
        name: inbiz-miniprogram
        envFrom:
        - configMapRef:
            name: envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: inbiz-minipro
          containerPort: 5012
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: inbiz-miniprogram
  name: inbiz-miniprogram
  namespace: edoc2
spec:
  ports:
  - name: inbiz-minipro
    port: 5012
    protocol: TCP
    targetPort: 5012
  selector:
    app: inbiz-miniprogram
  type: ClusterIP
